GFUSER(1)

NAME
gfuser - Gfarm user maintenance command

SYNOPSIS

gfuser [-P path] [-l] [user...]

gfuser [-P path] -c username realname homedir gsi_dn

gfuser [-P path] -m username realname homedir gsi_dn

gfuser [-P path] -d username

DESCRIPTION

gfuser manages Gfarm global users in Gfarm file system. Default action displays all registered users. When user names are specified, specified users are displayed. Gfarm administrator can creates, modifies, and deletes a Gfarm user by -c, -m, and -d options, respectively.

OPTIONS

-P path
    This option specifies a pathname or a Gfarm URL to identify a metadata server which will be accessed by this command. If not specified, "/" is used as the default value.

-l
    Displays verbose information of registered users.

-c
    Creates a user by specifying a global username in Gfarm file system, a real username, a home directory in Gfarm, and a Subject DN used in GSI. When the real username or the Subject DN includes spaces, it is needed to be quoted. This option can be used by Gfarm administrators.

-m
    Replaces a user information of the specified global user with specified real name, home directory and Subject DN. This option can be used by Gfarm administrators.

-d
    Deletes a registered user. This option can be used by Gfarm administrators.

-?
    Displays a list of command options.

SEE ALSO

gfgroup(1)